# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`pam_firewall`](#pam_firewall): Firewall rules for Puppet Application Manager (PAM) and its applications on Puppet-supported Kubernetes.

## Classes

### <a name="pam_firewall"></a>`pam_firewall`

Firewall rules for Puppet Application Manager (PAM) and its applications on
Puppet-supported Kubernetes.

#### Parameters

The following parameters are available in the `pam_firewall` class:

* [`cluster_nodes`](#cluster_nodes)
* [`app_ports`](#app_ports)
* [`pod_subnet`](#pod_subnet)
* [`service_subnet`](#service_subnet)
* [`manage_common_chains`](#manage_common_chains)

##### <a name="cluster_nodes"></a>`cluster_nodes`

Data type: `Array[String]`

Nodes in a cluster that need access to etcd, weave/flannel, and kubelet.
Default works for Standalone architectures.

Default value: `[$::ipaddress]`

##### <a name="app_ports"></a>`app_ports`

Data type: `Array[Variant[String, Integer]]`

Specific application ports that need to be exposed. Default includes all
possible ports.

Default value: `[80, 443, 8000, 9001]`

##### <a name="pod_subnet"></a>`pod_subnet`

Data type: `String`

The Kubernetes pod subnet selected when installing PAM. Default matches the
default for Puppet-supported Kubernetes.

Default value: `'10.32.0.0/22'`

##### <a name="service_subnet"></a>`service_subnet`

Data type: `String`

The Kubernetes service subnet selected when installing PAM. Default
matches the default for Puppet-supported Kubernetes.

Default value: `'10.96.0.0/22'`

##### <a name="manage_common_chains"></a>`manage_common_chains`

Data type: `Boolean`

These rules set `ignore_foreign=true` on common chains like
INPUT/OUTPUT/FORWARD:filter:IPv4, PREROUTING/INPUT/OUTPUT/POSTROUTING:nat/mangle:IPv4,
and PREROUTING/OUTPUT:raw:IPv4. If managing these chains yourself, set
this to false; if you purge unknown firewall rules, set `ignore_foreign=true`
on these chains so Kubernetes rules aren't removed.

Default value: ``true``

